Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.framework
Interface XMLDocumentScanner.EventHandler

All Known Implementing Classes:
  XMLValidator

public static interface XMLDocumentScanner.EventHandler

This interface must be implemented by the users of the XMLDocumentScanner class. These methods form the abstraction between the implementation semantics and the more generic task of scanning the XML non-DTD grammar.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `attribute(QName element, QName attrName, int attrValue)` Signal the scanning of an attribute associated to the previous start element tag.
`void` | `callCharacters(int ch)` Report the scanning of character data
`void` | `callComment(int data)` Report the scanning of a comment
`void` | `callEndCDATA()` Signal the end of a CDATA section
`void` | `callEndDocument()` Signal the end of a document
`void` | `callEndElement(int readerId)` signal the scanning of an end element tag
`void` | `callProcessingInstruction(int piTarget, int piData)` Report the scanning of a processing instruction
`void` | `callStandaloneIsYes()` Signal standalone = "yes"
`void` | `callStartCDATA()` Signal the start of a CDATA section
`void` | `callStartDocument()` Signal the start of a document
`void` | `callStartElement(QName element)` signal the scanning of a start element tag
`void` | `callTextDecl(int version, int encoding)` Signal the Text declaration of an external entity.
`void` | `callXMLDecl(int version, int encoding, int standalone)` Signal the XML declaration of a document
`void` | `element(QName element)` Signal the scanning of an element name in a start element tag.

Method Detail

### callStandaloneIsYes

    public void callStandaloneIsYes()
                             throws java.lang.Exception

  Signal standalone = "yes"

  Throws:
    java.lang.Exception -

### callStartDocument

    public void callStartDocument()
                           throws java.lang.Exception

  Signal the start of a document

  Throws:
    java.lang.Exception -

### callEndDocument

    public void callEndDocument()
                         throws java.lang.Exception

  Signal the end of a document

  Throws:
    java.lang.Exception -

### callXMLDecl

    public void callXMLDecl(int version,
                            int encoding,
                            int standalone)
                     throws java.lang.Exception

  Signal the XML declaration of a document

  Parameters:
    `version` - the handle in the string pool for the version number
    `encoding` - the handle in the string pool for the encoding
    `standalong` - the handle in the string pool for the standalone value
  Throws:
    java.lang.Exception -

### callTextDecl

    public void callTextDecl(int version,
                             int encoding)
                      throws java.lang.Exception

  Signal the Text declaration of an external entity.

  Parameters:
    `version` - the handle in the string pool for the version number
    `encoding` - the handle in the string pool for the encoding
  Throws:
    java.lang.Exception -

### callStartElement

    public void callStartElement(QName element)
                          throws java.lang.Exception

  signal the scanning of a start element tag

  Parameters:
    `element` - Element name scanned.
  Throws:
    java.lang.Exception -

### element

    public void element(QName element)
                 throws java.lang.Exception

  Signal the scanning of an element name in a start element tag.

  Parameters:
    `element` - Element name scanned.

### attribute

    public boolean attribute(QName element,
                             QName attrName,
                             int attrValue)
                      throws java.lang.Exception

  Signal the scanning of an attribute associated to the previous start element tag.

  Parameters:
    `element` - Element name scanned.
    `attrName` - Attribute name scanned.
    `attrValue` - The string pool index of the attribute value.

### callEndElement

    public void callEndElement(int readerId)
                        throws java.lang.Exception

  signal the scanning of an end element tag

  Parameters:
    `readerId` - the Id of the reader being used to scan the end tag.
  Throws:
    java.lang.Exception -

### callStartCDATA

    public void callStartCDATA()
                        throws java.lang.Exception

  Signal the start of a CDATA section

  Throws:
    java.lang.Exception -

### callEndCDATA

    public void callEndCDATA()
                      throws java.lang.Exception

  Signal the end of a CDATA section

  Throws:
    java.lang.Exception -

### callCharacters

    public void callCharacters(int ch)
                        throws java.lang.Exception

  Report the scanning of character data

  Parameters:
    `ch` - the handle in the string pool of the character data that was scanned
  Throws:
    java.lang.Exception -

### callProcessingInstruction

    public void callProcessingInstruction(int piTarget,
                                          int piData)
                                   throws java.lang.Exception

  Report the scanning of a processing instruction

  Parameters:
    `piTarget` - the handle in the string pool of the processing instruction targe
    `piData` - the handle in the string pool of the processing instruction data
  Throws:
    java.lang.Exception -

### callComment

    public void callComment(int data)
                     throws java.lang.Exception

  Report the scanning of a comment

  Parameters:
    `data` - the handle in the string pool of the comment text
  Throws:
    java.lang.Exception -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD